Bug 10700 - Add HDAPS disk protection patch
: Add HDAPS disk protection patch
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-def)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://www.zen24593.zen.co.uk/hdaps/
:
:
:
  Show dependency tree
 
Reported: 2007-01-22 22:53 by
Modified: 2008-08-23 18:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-22 22:53:31
#  The hdaps_protect disk protection kernel patch, which exports a sysfs
interface that enables an ide or sata disk to be protected by a userspace process.

http://thinkwiki.org/wiki/How_to_protect_the_harddisk_through_APS
------- Comment #1 From 2007-01-29 23:48:57 -------
http://thinkwiki.org/wiki/Tp_smapi#Conflict_with_hdaps

Надо добавить и tp_smapi в основное ядро (http://tpctl.sourceforge.net/), если
оно будет отдельным пакетом, hdaps просто не загрузится.  И наоборот.

Или - собирать hdaps не в ядре, а в modules-tp_smapi...
------- Comment #2 From 2007-01-29 23:52:18 -------
http://thinkwiki.org/wiki/Tp_smapi#Conflict_with_hdaps

Надо добавить и tp_smapi в основное ядро (http://tpctl.sourceforge.net/), если
оно будет отдельным пакетом, hdaps просто не загрузится.  И наоборот.

Или - собирать hdaps не в ядре, а в modules-tp_smapi...
------- Comment #3 From 2007-01-30 19:52:06 -------
Непосредственно к модулю hdaps этот патч отношения не имеет, но он нужен для
hdapsd.
------- Comment #4 From 2008-06-26 14:43:59 -------
А у нас нет часом mobile/thinkpad metabug?
------- Comment #5 From 2008-06-26 14:50:40 -------
(In reply to comment #4)
> А у нас нет часом mobile/thinkpad metabug?

Забирай любой свободный метабаг, временно висящий на bugzilla.a.o
------- Comment #6 From 2008-06-26 15:27:43 -------
вопервых, в сизифе hdaps , собрано в tp_smapi, и в ядре выключенно, так как в
ядре более старое.
Во вторых, по указной ссылке нашёл только пач который на 2.6.18, стоит
проверить может его включили уже в tp_smapi?
------- Comment #7 From 2008-06-26 21:07:42 -------
vsu@ этот патч не одобрил в своё время.  hdaps, да, надо собирать только в
tp_smapi.  В общем закрываю как WONTFIX.